package com.bcxin.tenant.open.domains.services;

import com.bcxin.tenant.open.domains.services.commands.*;

import java.util.Collection;

public interface PoliceIncidentsService {
    void dispatch(CreatePoliceIncidentsCommand command);

    void dispatch(UpdatePoliceIncidentsCommand command);

    void dispatch(UpdatePoliceIncidentStatusCommand command);

    void dispatch(Collection<CreateSsoPoliceIncidentsCommand> command);

    void dispatch(UpdateSosPoliceIncidentStatusCommand command);

    void dispatch(UpdatePoliceIncidentsInfoCommand command);

    void delete(Long id);
}
